<h1 mat-dialog-title>Adicionar Máquina</h1>
<form (submit)="onSubmit($event)" [formGroup]="machineForm">
    <mat-dialog-content>
        <mat-form-field>
            <mat-label>Nome</mat-label>
            <input
                formControlName="name"
                matInput
                name="name"
                placeholder="Nome da Máquina"
            />
            <mat-icon matPrefix>subject</mat-icon>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Estado</mat-label>
            <mat-select formControlName="status" name="status">
                <mat-option [value]="true">Disponível</mat-option>
                <mat-option [value]="false">Indisponível</mat-option>
            </mat-select>

            <mat-error *ngIf="machineForm.get('status').hasError('required')">
                O estado da máquina é obrigatório.
            </mat-error>

            <mat-icon matPrefix>list</mat-icon>
        </mat-form-field>

        <app-custom-file-input
            (change)="onChangeFile($event)"
            title="Imagem da Máquina"
        >
        </app-custom-file-input>

        <mat-error *ngIf="machineForm.get('image').hasError('invalidFile')">
            O ficheiro selecionado é inválido. Por favor escolha uma imagem do
            tipo: <em>png; jpg; jpeg</em>.
        </mat-error>
    </mat-dialog-content>

    <mat-dialog-actions>
        <button
            [disabled]="!machineForm.valid"
            color="primary"
            mat-button
            type="submit"
        >
            <mat-icon>edit</mat-icon>
            Atualizar
        </button>
        <button (click)="onClose()" color="accent" mat-button type="button">
            <mat-icon>cancel</mat-icon>
            Cancelar
        </button>
    </mat-dialog-actions>
</form>
